Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util
Class ServingXmlResources

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              com.servingxml.util.ServingXmlResources

All Implemented Interfaces:
  ServingXmlMessages

    public class ServingXmlResources

extends java.util.ListResourceBundle
implements ServingXmlMessages

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Fields inherited from interface com.servingxml.util.ServingXmlMessages
`CLASS_NOT_FOUND, COMPONENT_ATTRIBUTE_CHOICE_REQUIRED, COMPONENT_ATTRIBUTE_REQUIRED, COMPONENT_ATTRIBUTE_VALUE_INVALID, COMPONENT_DUPLICATE_NAME, COMPONENT_ELEMENT_CHOICE_REQUIRED, COMPONENT_ELEMENT_REQUIRED, COMPONENT_ELEMENT_SPECIALIZATION_REQUIRED, COMPONENT_ERROR, COMPONENT_EXPR_PARSE_FAILED, COMPONENT_JDBC_CONNECTION_POOL, COMPONENT_LITERAL_CONTENT_REQUIRED, COMPONENT_RECORD_MAPPING_GROUP_CHOICE_REQUIRED, COMPONENT_SUB_EXPR_PARSE_FAILED, COMPONENT_TRANSFORM_FAILED, CRC_INTEGRITY_CHECK_FAILED, PARAMETER_NOT_FOUND, RECORD_COUNT_INTEGRITY_CHECK_FAILED, RECORD_ERROR, RECORD_FIELD_NOT_FOUND, SIZE_INTEGRITY_CHECK_FAILED, VALUE_UNKNOWN`

Constructor Summary
`ServingXmlResources()`

Method Summary
`java.lang.Object[][]` | `getContents()`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServingXmlResources

    public ServingXmlResources()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Specified by:
    `getContents` in class `java.util.ListResourceBundle`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD